// MessageBoxExplorerDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "IDCombo.h"


// CMessageBoxExplorerDlg dialog
class CMessageBoxExplorerDlg : public CDialog
{
// Construction
public:
        CMessageBoxExplorerDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
        enum { IDD = IDD_MESSAGEBOXEXPLORER_DIALOG };

protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support


// Implementation
protected:
        HICON m_hIcon;
        CFont font;
        
        // Generated message map functions
        virtual BOOL OnInitDialog();
        afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
        afx_msg void OnPaint();
        afx_msg HCURSOR OnQueryDragIcon();
        afx_msg void OnBnClickedRange(UINT id);
        DECLARE_MESSAGE_MAP()
    virtual void OnCancel();
    virtual void OnOK();

    void AddToList(CString & flags, const CString & name, const CString & sep);
    void updateControls();
    void ShowCopyButtons(UINT show);
    void ShowCase(CString & code, const CString & casename);
protected:
    CButton c_UseCaptionString;
    CButton c_UseProgramCaption;
    CButton c_UseCaptionStringTable;
    CButton c_AfxMessageBox; 
    CButton c_CWndMessageBox;
    CButton c_MessageBox;
    CButton c_MessageBoxIndirect;
    CEdit c_Body;
    CEdit c_Caption;
    CButton c_MB_ABORTRETRYIGNORE;
    CButton c_MB_CANCELTRYCONTINUE;
    CButton c_MB_OK;
    CButton c_MB_OKCANCEL;
    CButton c_MB_RETRYCANCEL;
    CButton c_MB_YESNO;
    CButton c_MB_YESNOCANCEL;
    CButton c_MB_HELP;
    CButton c_MB_ICONEXCLAMATION;
    CButton c_MB_ICONWARNING;
    CButton c_NoIcon;
    CButton c_MB_ICONINFORMATION;
    CButton c_MB_ICONASTERISK;
    CButton c_MB_ICONSTOP;
    CButton c_MB_ICONERROR;
    CButton c_MB_ICONHAND;
    CButton c_MB_USERICON;
    CButton c_MB_DEFBUTTON1;
    CButton c_MB_DEFBUTTON2;
    CButton c_MB_DEFBUTTON3;
    CButton c_MB_DEFBUTTON4;
    CButton c_MB_APPLMODAL;
    CButton c_MB_SYSTEMMODAL;
    CButton c_MB_TASKMODAL;
    CButton c_MB_RIGHT;
    CButton c_MB_RTLREADING;
    CButton c_MB_SETFOREGROUND;
    CButton c_MB_TOPMOST;
    CButton c_MB_ICONQUESTION;
    CButton c_UseBodyString;
    CButton c_UseBodyStringTable;
    CIDCombo c_BodyStringTable;
    CIDCombo c_CaptionStringTable;
    CIDCombo c_HelpID;
    CStatic  x_HelpID;
    CButton c_CallbackGroup;
    CButton c_UseCallback;
    CStatic c_Icon;
    CButton x_Caption;
    CButton c_Launch;
    CEdit c_Result;
    CEdit c_Code;
    CButton c_Copy;
    CButton c_CopyBody;
    CButton x_Body;
    CButton c_CopyCaption;
    CButton c_CopyIcon;
    CButton c_CopyCallback;
    CButton x_Icon;
    CButton c_CopyDefault;
    CButton x_Default;
    CButton c_CopyZAxis;
    CButton x_ZAxis;
    CButton c_CopyAPIs;
    CButton x_APIs;
    CButton c_CopyModality;
    CButton x_Modality;
    CButton c_CopyAlignment;
    CButton x_Alignment;
    CButton c_CopyButtons;
    CButton x_Buttons;
    CButton c_CopyAll;
    CButton c_CopyParent;
    CButton x_Parent;
    CButton c_This;
    CButton c_NULL;
protected:
    static void CALLBACK HelpCallback(LPHELPINFO info);
    afx_msg void OnClose();
    afx_msg void OnBnClickedCopy();
    afx_msg void OnBnClickedLaunch();
    afx_msg void OnEnChangeCaption();
    afx_msg void OnEnChangeBody();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnBnClickedCopyBody();
    afx_msg void OnBnClickedCopyCaption();
    afx_msg void OnBnClickedCopyIcon();
    afx_msg void OnBnClickedCopyCallback();
    afx_msg void OnBnClickedCopyAPIs();
    afx_msg void OnBnClickedCopyModality();
    afx_msg void OnBnClickedCopyZAxis();
    afx_msg void OnBnClickedCopyButtons();
    afx_msg void OnBnClickedCopyAlignment();
    afx_msg void OnBnClickedCopyDefault();
    afx_msg void OnBnClickedCopyAll();
    afx_msg void OnBnClickedCopyParent();
    afx_msg void OnCbnSelendokCaptionStringtable();
};
